\section{Data Structures}
Here are the data structures with brief descriptions\-:\begin{DoxyCompactList}
\item\contentsline{section}{\hyperlink{struct__timlCNNLayer__}{\-\_\-timl\-C\-N\-N\-Layer\-\_\-} }{\pageref{struct__timlCNNLayer__}}{}
\item\contentsline{section}{\hyperlink{struct__timlConvNeuralNetwork__}{\-\_\-timl\-Conv\-Neural\-Network\-\_\-} }{\pageref{struct__timlConvNeuralNetwork__}}{}
\item\contentsline{section}{\hyperlink{structappCNNSceneDataSet}{app\-C\-N\-N\-Scene\-Data\-Set} }{\pageref{structappCNNSceneDataSet}}{}
\item\contentsline{section}{\hyperlink{structtimlCNNConvParams}{timl\-C\-N\-N\-Conv\-Params} }{\pageref{structtimlCNNConvParams}}{}
\item\contentsline{section}{\hyperlink{structtimlCNNDataSet}{timl\-C\-N\-N\-Data\-Set} }{\pageref{structtimlCNNDataSet}}{}
\item\contentsline{section}{\hyperlink{structtimlCNNDropoutParams}{timl\-C\-N\-N\-Dropout\-Params} }{\pageref{structtimlCNNDropoutParams}}{}
\item\contentsline{section}{\hyperlink{structtimlCNNInputParams}{timl\-C\-N\-N\-Input\-Params} }{\pageref{structtimlCNNInputParams}}{}
\item\contentsline{section}{\hyperlink{structtimlCNNLinearParams}{timl\-C\-N\-N\-Linear\-Params} }{\pageref{structtimlCNNLinearParams}}{}
\item\contentsline{section}{\hyperlink{structtimlCNNNonlinearParams}{timl\-C\-N\-N\-Nonlinear\-Params} }{\pageref{structtimlCNNNonlinearParams}}{}
\item\contentsline{section}{\hyperlink{structtimlCNNNormParams}{timl\-C\-N\-N\-Norm\-Params} }{\pageref{structtimlCNNNormParams}}{}
\item\contentsline{section}{\hyperlink{structtimlCNNPoolingParams}{timl\-C\-N\-N\-Pooling\-Params} }{\pageref{structtimlCNNPoolingParams}}{}
\item\contentsline{section}{\hyperlink{structtimlCNNTrainingParams}{timl\-C\-N\-N\-Training\-Params} }{\pageref{structtimlCNNTrainingParams}}{}
\item\contentsline{section}{\hyperlink{structtimlUtilImage}{timl\-Util\-Image} }{\pageref{structtimlUtilImage}}{}
\item\contentsline{section}{\hyperlink{structtimlUtilImageSet}{timl\-Util\-Image\-Set} }{\pageref{structtimlUtilImageSet}}{}
\item\contentsline{section}{\hyperlink{structtimlUtilInitializer}{timl\-Util\-Initializer} }{\pageref{structtimlUtilInitializer}}{}
\end{DoxyCompactList}
